microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Padparameters
name
string
vereist
The name of the resource
version
string
vereist
The specific version id of the DatasetVersion to operate on.
Antwoorden
The request has succeeded.
Hoofdtekst
Content-Type: application/json
blobReference
BlobReference
vereist
Blob reference details.
blobUri
string
vereist
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vereist
ARM ID of the storage account to use.
credential
SasCredential
vereist
SAS Credential definition
sasUri
string
vereist
SAS uri
type
enum
vereist
Type of credential
SAS
Aanvraag
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json